Bug 1251152 - VM lose custom icon when it is edited in running state
VM lose custom icon when it is edited in running state
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
3.6
Unspecified Unspecified
medium Severity unspecified
: ---
: 3.6.0
Assigned To: jniederm
Petr Kubica
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-06 10:55 EDT by jniederm
Modified: 2016-02-10 14:49 EST (History)
9 users (show)

See Also:
Fixed In Version: 3.6.0-11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-04 06:18:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45295 master MERGED core: Custon Vm Icons preserved over next-run configuration Never
oVirt gerrit 45353 ovirt-engine-3.6 MERGED core: Custon Vm Icons preserved over next-run configuration Never

  None (edit)
Description jniederm 2015-08-06 10:55:53 EDT
Description of problem:
If some attribute that can't be changed while running is edited on running vm, custom icon is lost.

Version-Release number of selected component (if applicable):
post 3.6 master, commit 7714abd

How reproducible:
100%

Steps to Reproduce:
1. Set custom VM to icon
2. Run the vm
3. Change eg. Graphics protokol in Console tab
4. Open Edit vm dialog at Icon tab

Actual results:
Os default icon is set

Expected results:
Custom icon selected in step 1 is selected
Comment 1 Petr Kubica 2015-09-14 09:50:59 EDT
Verified in 3.6.0-0.15.master.el6
Comment 2 Sandro Bonazzola 2015-11-04 06:18:26 EST
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.

Note You need to log in before you can comment on or make changes to this bug.